#ifndef MAPCACHE_H
#define MAPCACHE_H

#include<qimage.h>
#include<qstring.h>
#include<vector.h>

/*
 #define _DEBUG_PRINT
 */

class MapCache {
public:
	MapCache(int size = 12);
	QImage * getMap(QString mapFileName);

private:
	vector<QImage> _maps;
	vector<QString> _mapFileNames;
	int _nextId;
	int _cacheSize;
};

#endif //MAPCACHE_H
